# timing decorator
import time

def timer(func):
    def wrapper(*args, **kwargs):
        start_time = time.time()
        result = func(*args, **kwargs)
        end_time = time.time()
        print(f"{func.__name__} took {end_time - start_time} seconds to execute")
        return result
    return wrapper

if __name__ == "__main__":
    @timer
    def example_function():
        time.sleep(2)

    example_function()
